mobilebackup_client_free
mobilebackup_client_new
mobilebackup_client_start_service
mobilebackup_client_t
mobilebackup_error_t
mobilebackup_flags_t
mobilebackup_receive
mobilebackup_receive_restore_application_received
mobilebackup_receive_restore_file_received
mobilebackup_request_backup
mobilebackup_request_restore
mobilebackup_send
mobilebackup_send_backup_file_received
mobilebackup_send_error
mobilebackup_send_restore_complete
MOBILEBACKUP_SERVICE_NAME

## mobilebackup_request_backup()

LIBIMOBILEDEVICE_API mobilebackup_error_t mobilebackup_request_backup | ( | mobilebackup_client_t | client,
|  | plist_t | backup_manifest,
|  | const char * | base_path,
|  | const char * | proto_version )

Request a backup from the connected device.

Parameters

  client | The connected MobileBackup client to use.
  backup_manifest | The backup manifest, a plist_t of type PLIST_DICT containing the backup state of the last backup. For a first-time backup set this parameter to NULL.
  base_path | The base path on the device to use for the backup operation, usually "/".
  proto_version | A string denoting the version of the backup protocol to use. Latest known version is "1.6"

Returns
  MOBILEBACKUP_E_SUCCESS on success, MOBILEBACKUP_E_INVALID_ARG if one of the parameters is invalid, MOBILEBACKUP_E_PLIST_ERROR if backup_manifest is not of type PLIST_DICT, MOBILEBACKUP_E_MUX_ERROR if a communication error occurs, MOBILEBACKUP_E_REPLY_NOT_OK